package com.myoa.engineering.sample.service;

import com.myoa.engineering.sample.entity.RequestLog;
import com.myoa.engineering.sample.entity.ResponseLog;
import com.myoa.engineering.sample.infra.repository.RequestLogRepository;
import com.myoa.engineering.sample.infra.repository.ResponseLogRepository;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Slf4j
@Service
public class LogPersistenceService {
    private final RequestLogRepository requestLogRepository;
    private final ResponseLogRepository responseLogRepository;

    public LogPersistenceService(RequestLogRepository requestLogRepository,
                                 ResponseLogRepository responseLogRepository) {
        this.requestLogRepository = requestLogRepository;
        this.responseLogRepository = responseLogRepository;
    }

    @Transactional
    public void save(RequestLog requestLog) {
        requestLogRepository.save(requestLog);
//        log.info("requestLog saved. id: {}", requestLog.getId());

    }

    @Transactional
    public void save(ResponseLog responseLog) {
        responseLogRepository.save(responseLog);
//        log.info("responseLog saved. id: {}", responseLog.getId());
    }

}
